PAPI_flips(3)

NAME
PAPI_flips -

Simplified call to get Mflips/s (floating point instruction rate), real and processor time.

SYNOPSIS

Detailed Description

C Interface:
    #include <papi.h>
    int PAPI_flips( float *rtime, float *ptime, long long *flpins, float *mflips );

Parameters:
    *rtime total realtime since the first call
    *ptime total process time since the first call
    *flpins total floating point instructions since the first call
    *mflips incremental (Mega) floating point instructions per seconds since the last call

Return values:
    PAPI_EINVAL The counters were already started by something other than PAPI_flips().
    PAPI_ENOEVNT The floating point instructions event does not exist.
    PAPI_ENOMEM Insufficient memory to complete the operation.

The first call to PAPI_flips() will initialize the PAPI High Level interface, set up the counters to monitor the PAPI_FP_INS event and start the counters.

Subsequent calls will read the counters and return total real time, total process time, total floating point instructions since the start of the measurement and the Mflip/s rate since latest call to PAPI_flips(). A call to PAPI_stop_counters() will stop the counters from running and then calls such as PAPI_start_counters() or other rate calls can safely be used.

PAPI_flips returns information related to floating point instructions using the PAPI_FP_INS event. This is intended to measure instruction rate through the floating point pipe with no massaging.

See Also:
    PAPI_flops()

    PAPI_ipc()

    PAPI_epc()

    PAPI_stop_counters()

Author

Generated automatically by Doxygen for PAPI from the source code.